Google Web Toolkit
Search Google Code:

# Class Hidden

public class Hidden
extends Widget
implements HasName
Represents a hidden field in an HTML form.

## Constructors

Hidden() | Constructor for `Hidden`.
Hidden(String) | Constructor for `Hidden`.
Hidden(String, String) | Constructor for `Hidden`.

## Methods

getDefaultValue() | Gets the default value of the hidden field.
getID() | Gets the id of the hidden field.
getName() | Gets the name of the hidden field.
getValue() | Gets the value of the hidden field.
setDefaultValue(String) | Sets the default value of the hidden field.
setID(String) | Sets the id of the hidden field.
setName(String) | Sets the name of the hidden field.
setValue(String) | Sets the value of the hidden field.

## Constructor Detail

### Hidden

public Hidden()
Constructor for `Hidden`.

### Hidden

public Hidden(String name)
Constructor for `Hidden`.

#### Parameters

name
  name of the hidden field

### Hidden

public Hidden(String name, String value)
Constructor for `Hidden`.

#### Parameters

name
  name of the hidden field
value
  value of the hidden field

## Method Detail

### getDefaultValue

public String getDefaultValue()
Gets the default value of the hidden field.

#### Return Value

the default value

### getID

public String getID()
Gets the id of the hidden field.

#### Return Value

the id

### getName

public String getName()
Gets the name of the hidden field.

#### Return Value

the name

### getValue

public String getValue()
Gets the value of the hidden field.

#### Return Value

the value

### setDefaultValue

public void setDefaultValue(String defaultValue)
Sets the default value of the hidden field.

#### Parameters

defaultValue
  default value to set

### setID

public void setID(String id)
Sets the id of the hidden field.

#### Parameters

id
  id to set

### setName

public void setName(String name)
Sets the name of the hidden field.

#### Parameters

name
  name of the field

### setValue

public void setValue(String value)
Sets the value of the hidden field.

#### Parameters

value
  value to set